Subject: Re: cygstart, mutt or mailcap?
From: Ajay Simha <[email-masked]>
To: [email-masked]
Cc: Ajay Simha <[email-masked]>
Date: Wed, 26 Feb 2003 15:16:13 -0500

On Wed Feb 26 14:08:28 2003, Igor Pechtchanski wrote:
> On Mon, 24 Feb 2003, Ajay Simha wrote:
> 
> > On Sun Feb 23 13:07:07 2003, Igor Pechtchanski wrote:
> > > Ajay,
> > >
> > > On Sat, 22 Feb 2003, Ajay Simha wrote:
> > >
> > > > On Fri Feb 21 10:09:23 2003, Igor Pechtchanski wrote:
> > > > > On Fri, 21 Feb 2003, Ajay Simha wrote:
> > > > > > On Fri Feb 21 09:33:58 2003, Igor Pechtchanski wrote:
> > > > > > > On Fri, 21 Feb 2003, Ajay Simha wrote:
> > > > > > >
> > > > > > > > Hi,
> > > > > > > >
> > > > > > > > This is what my .mailcap looks like:
> > > > > > > >
> > > > > > > > ===========================================
> > > > > > > > text/html; lynx -dump %s; copiousoutput; nametemplate=3D%s.html
> > > > > > > > Application/MSWORD;      cygstart %s; copiousoutput;
> > > > > > > > Application/VND.MS-EXCEL; cygstart %s; copiousoutput;
> > > > > > > > Application/PDF; cygstart %s; copiousoutput;
> > > > > > > > Application/vnd.ms-powerpoint; cygstart %s; copiousoutput;
> > > > > > > > Application/MSEXCEL; cygstart %s; copiousoutput;
> > > > > > > > Application/octet-stream; cygstart %s; copiousoutput;
> > > > > > > > ===========================================
> > > > > > > >
> > > > > > > > I'm using mutt 1.4i. When I try to view a word doc it lauches fine but
> > > > > > > > in the middle of doing other things like reading email or doing
> > > > > > > > something else my word doc seems to get corrupted.
> > > > > > > >
> > > > > > > > However I don't see this problem if I save the file and *then* run
> > > > > > > > cygstart or directly open it in word.
> > > > > > > >
> > > > > > > > BTW here is where the tmp file is created:
> > > > > > > >
> > > > > > > > [asimha@asimha-w2k02 ~]$ ls -lt /tmp
> > > > > > > > ls: /tmp/mutt-asimha-w2k02-1736-194: No such file or directory
> > > > > > > > ls: /tmp/mutt-asimha-w2k02-1736-33: No such file or directory
> > > > > > > > total 4550
> > > > > > > > -rw-------    1 asimha   None       483328 Feb 21 02:41 Dell-lab-summary.001736.doc
> > > > > > > > -rwxrwxrwx    1 asimha   ????????      162 Feb 21 02:41 ~$ll-lab-summary.001736.doc
> > > > > > > > drwxrwxrwx+  12 asimha   None         8192 Feb 21 02:22 aspell-0.50.3
> > > > > > > > -rwxrwxrwx    1 Administ None      3962880 Feb 21 02:18 aspell-0.50.3.tar
> > > > > > > > -rw-rw-rw-    1 asimha   None          187 Feb 21 01:47 lpr.log
> > > > > > > > -rw-rw-rw-    1 asimha   None       201918 Feb 21 00:39 XWinrl.log
> > > > > > > > [asimha@asimha-w2k02 ~]$
> > > > > > > >
> > > > > > > > Any clues here?
> > > > > > > >
> > > > > > > > Thanks,
> > > > > > > > -ajay
> > > > > > >
> > > > > > > Ajay,
> > > > > > >
> > > > > > > Two WAGs:
> > > > > > > 1) Is your /tmp mount binary or text?  If text, try remounting as binary.
> > > > > > > Also see if adding "binmode" to your $CYGWIN helps.
> > > > > > > 2) This one's really wild, but I know Windews has this stupid dependence
> > > > > > > on the name of the file.  Try using the nametemplate trick ("%s.doc", or
> > > > > > > something), and see if it helps.
> > > > > > >       Igor
> > > > > >
> > > > > > Hey thanks for the quick reply.
> > > > > >
> > > > > > Regarding 2) it *is* a .doc if not the default windows handler would not
> > > > > > work for it.
> > > > >
> > > > > Umm, yes, I'm slow today.  However, the '????????' in your ls output
> > > > > indicates that your /etc/{passwd,group} aren't up to date.  See
> > > > > <http://cygwin.com/cygwin-ug-net/ntsec.html#NTSEC-RELEASE1.3.20> for
> > > > > details.  Probably unrelated, but something to fix anyway.
> > > >
> > > > I tried everything now it may have something to do with starting it
> > > > directly from a view command within mutt.  If I save it and then start
> > > > it either through windows or cygstart command it does not have any
> > > > corruption.
> > >
> > > Just had a wild idea: try setting your .doc rule in your .mailcap as follows:
> > >
> > > Application/MSWORD;      cp %s /tmp/blah.doc && cygstart /tmp/blah.doc; copiousoutput;
> > >
> > > It should set the permissions and ownership of /tmp/blah.doc to your
> > > current user...  Don't know if it'll help...
> >
> > Nope :-(
> >
> > Did not.
> >
> > > You also didn't define exactly what you meant by "corrupted" in your
> >
> > I don't know if I already answered this one. What I mean by corrupted is it has
> > rectangular boxes in my word doc (the entire page). And this may not happen for a while
> > for example it may only happen when I open a second word doc.
> >
> > -ajay
> > > original message.  Does it create a corrupted document when you save it
> > > from Word?  Does the temp file get truncated?  At exactly what moment does
> > > it get corrupted?
> > >       Igor
> 
> Ajay,
> 
> Does it fail in the same way if you use the rule I proposed?  Does
> /tmp/blah.doc remain behind?  What is the timestamp on it?  Can you
> compare it to the saved version (which does work)?
> 
> It makes a lot of sense, with the rule I proposed, that the document would
> get corrupted if you try to open a second Word doc -- since I'm using a
> constant filename, the second Word doc overwrites the first...  I assume
> it doesn't actually get corrupted on any other occasion with that rule...
> 
> So here are a couple of other proposals for the .doc rule:
> 
> Application/MSWORD;      cp %s /tmp/mutt-%s.doc && cygstart /tmp/mutt-%s.doc; copiousoutput;

BTW the above line in mailcap stops after the copy to /tmp. Cygstart never runs.

-ajay
> 
> This should make sure the filenames are distinct for every Word document
> you review...
> 
> Application/MSWORD;      cygstart %s && sleep 15; copiousoutput;
> 
> This should give Word enough time to start...
> 
> Let me know if either of them works.
> 	Igor
> -- 
> 				http://cs.nyu.edu/~pechtcha/
>       |\      _,,,---,,_		[email-masked]
> ZZZzz /,`.-'`'    -.  ;-;;,_		[email-masked]
>      |,4-  ) )-,_. ,\ (  `'-'		Igor Pechtchanski
>     '---''(_/--'  `-'\_) fL	a.k.a JaguaR-R-R-r-r-r-.-.-.  Meow!
> 
> Oh, boy, virtual memory! Now I'm gonna make myself a really *big* RAMdisk!
>   -- /usr/games/fortune
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/